       jor = open("journal")
       getfirst(jor)

       while( eof(jor) = 0 )
         getlast(jor)
         delete(jor)
       wend

       sp = open("spsub",-2)
       ssch = open("60",-2)
       sch = open("s60",-2)
       snds = open("s19",-2)
       sndss = open("s19-1",-2)

       if findge(sch,1,4,"60") = 0 then
         while( eof(sch) = 0 & trim('Kr_счета'.sch) = "60" )
           if trim('Db_счета'.sch) != "19" & trim('Db_счета'.sch) != "19-1" then
             if Find(ssch,1,1,'Kr_расчеты'.sch) = 0 then
               clearbuf(jor)
               'Номер_док.'.jor = 'Документ'.sch
               'Дата'.jor = 'Дата'.sch
               'Дата_опл.'.jor = 'Дата'.sch
               flag = 0
               if find(snds,2,4,"60      ",'Kr_расчеты'.sch,'Дата'.sch,'Документ'.sch) = 0 then
                 db_rasch = 'Db_расчеты'.snds
                 if findge(snds,2,4,"19      ",db_rasch) = 0 then
                   while( eof(snds) = 0 & trim('Kr_счета'.snds) = "19" & trim('Kr_расчеты'.snds) = trim(db_rasch) & flag = 0 )
                     if trim('Документ'.snds) = trim('Документ'.sch) then
                       flag = 1
                       'Дата_опр.'.jor = 'Дата'.snds
                     end if
                     getnext(snds)
                   wend
                 end if
               end if
               if flag = 0 then
                 if find(sndss,2,4,"60      ",'Kr_расчеты'.sch,'Дата'.sch,'Документ'.sch) = 0 then
                   db_rasch = 'Db_расчеты'.sndss
                   if findge(sndss,2,4,"19      ",db_rasch) = 0 then
                     while( eof(sndss) = 0 & trim('Kr_счета'.sndss) = "19" & trim('Kr_расчеты'.sndss) = trim(db_rasch) & flag = 0 )
                       if trim('Документ'.sndss) = trim('Документ'.sch) then
                         flag = 1
                         'Дата_опр.'.jor = 'Дата'.sndss
                       end if
                       getnext(sndss)
                     wend
                   end if
                 end if
               end if
               if flag = 0 then
                 'Дата_опр.'.jor = 'Дата'.sch
               end if
               'Дата_пост.'.jor = 'Дата'.sch
               'Сумма'.jor = 'Сумма'.sch
               'Всего'.jor = 'Сумма'.sch
               'Страна'.jor = "Россия"
               if Find(sp,1,1,'Код'.ssch) = 0
                 'Название'.jor = 'Название'.sp
                 'ИННП'.jor = 'ИННП'.sp
                 'КППП'.jor = substr('ИННП'.sp,1,4) + "01001"
                 'Код_ОКОНХП'.jor = 'Код_ОКОНХП'.sp
                 'Код_ОКПОП'.jor = 'Код_ОКПОП'.sp
               else
                 'Название'.jor = 'Название'.ssch
               end if
               insert(jor)
             end if
           end if
           getnext(sch)
         wend
       end if

       getfirst(jor)
       while( eof(jor) = 0 )
         if find(sch,2,2,'Дата'.jor,'Номер_док.'.jor) = 0 then
           while( eof(sch) = 0 & 'Дата'.jor = 'Дата'.sch & trim('Номер_док.'.jor) = trim('Документ'.sch) )
             if trim('Db_счета'.sch) = "19" 
               'НДС_18'.jor = 'Сумма'.sch
               'Всего'.jor = 'Всего'.jor + 'Сумма'.sch
               update(jor)
             else if trim('Db_счета'.sch) = "19-1"
               'НДС_10'.jor = 'Сумма'.sch
               'Всего'.jor = 'Всего'.jor + 'Сумма'.sch
               update(jor)
             end if
             getnext(sch)
           wend
         end if
         getnext(jor)
       wend

       end
